X2Go Bug report logs - #1459
X2GoMiniSSHBroker

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Stefan Baur <X2Go-ML-1@baur-itcs.de>

Date: Sun, 19 Apr 2020 13:50:02 UTC

Severity: wishlist

Tags: pending

Fixed in version 0.0.4.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1459; Package x2gobroker. (Sun, 19 Apr 2020 13:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 19 Apr 2020 13:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: submit@bugs.x2go.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Mihai Moldovan <ionic@ionic.de>
Subject: X2GoMiniSSHBroker
Date: Sun, 19 Apr 2020 15:47:44 +0200
[Message part 1 (text/plain, inline)]
package: x2gobroker
priority: wishlist

Hi everyone,

A while ago, I wrote a small broker demo in bash.

I would like to get this added to X2Go's official repository, in the
x2gobroker.git tree, as a separate binpkg (maybe called
x2gobroker-ssh-mini).


Limitations:

1) This script is not suitable for a multi-server setup.
   It needs to run on the only X2GoServer there is.
   (There's an idea in the comments how to overcome this limitation,
   though.)
   This is, however, also its advantage: You don't need to mess with
   LDAP, postgres and NFS just to be able to use a central configuration
   for your X2GoClients.

2) It does not offer all the ACL options of the "big" broker
   implementations.


Problems:

1) There's currently no manpage for it.  All documentation is in the
   comments in the bash script.

2) IIRC, Alex made some changes to X2GoClient and/or X2GoServer that
   will cause this script to break - however, these changes are not part
   of our stable release yet.  So it should be possible to release this
   package right now, but it needs to be kept in mind that it will have
   to be adapted once Alex' changes make it to stable.
   This was related to more "chatter" about "Access granted" and similar
   status messages being exchanged between server/broker/client.

Script attached.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
[x2go-mini-sshbroker (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1459; Package x2gobroker. (Mon, 20 Apr 2020 18:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 20 Apr 2020 18:40:03 GMT) (full text, mbox, link).


Message #10 received at 1459@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1459-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1459@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Mon, 20 Apr 2020 20:38:27 +0200 (CEST)
tag #1459 pending
fixed #1459 0.0.4.2
thanks

Hi!

X2Go issue #1459 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    https://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=752a74133e9423173087f848b53b7133ca3ea1e1

The issue will most likely be fixed in src:x2gobroker (0.0.4.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 752a74133e9423173087f848b53b7133ca3ea1e1
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Apr 20 20:37:39 2020 +0200

    contrib/x2go-mini-sshbroker: Contribute Bash script that demonstrate a simple X2Go SSH Broker written in Bash. (Fixes: 1459).

diff --git a/debian/changelog b/debian/changelog
index bbede3b..d89ac2d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,10 @@ x2gobroker (0.0.4.2-0x2go1) UNRELEASED; urgency=medium
   * x2gobroker/defaults.py: Hint that there is a new feature in X2Go: X2Go
     KDrive.
 
+  [ Stefan Baur ]
+  * contrib/x2go-mini-sshbroker: Contribute Bash script that demonstrate
+    a simple X2Go SSH Broker written in Bash. (Fixes: 1459).
+
  -- X2Go Release Manager <git-admin@x2go.org>  Mon, 22 Apr 2019 12:31:49 +0200
 
 x2gobroker (0.0.4.1-0x2go1) unstable; urgency=medium


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 Apr 2020 18:40:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.0.4.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 Apr 2020 18:40:03 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Bug#1459. (Mon, 20 Apr 2020 18:40:03 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jul 8 01:42:22 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.